# dmd.argtypes_x86

Break down a D type into basic (register) types for the 32-bit x86 ABI.

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: argtypes_x86.d

Documentation: https://dlang.org/phobos/dmd_argtypes_x86.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/argtypes_x86.d

- `toArgTypes_x86`

  #### Declaration

  `TypeTuple `toArgTypes_x86`(Type `t`);`

  This breaks a type down into 'simpler' types that can be passed to a function in registers, and returned in registers. This is the implementation for the 32-bit x86 ABI.

  #### Parameters

  `Type `t`` | type to break down

  #### Return Value

  tuple of types, each element can be passed in a register. A tuple of zero length means the type cannot be passed/returned in registers. `null` indicates a `void`.